Package Details: vivaldi-widevine 1:4.10.1679.0-1

Git Clone URL: https://aur.archlinux.org/vivaldi-widevine.git (read-only, click to copy)
Package Base: vivaldi-widevine
Description: A browser plugin designed for the viewing of premium video content, standalone for vivaldi
Upstream URL: https://www.widevine.com/
Keywords: amazon netflix prime vivaldi webengine
Licenses: custom
Conflicts: google-chrome
Submitter: Musikolo
Maintainer: Musikolo
Last Packager: Musikolo
Votes: 19
Popularity: 1.52
First Submitted: 2019-09-22 04:52
Last Updated: 2020-05-21 03:22

Pinned Comments

Musikolo commented on 2019-09-22 04:54

If you want to test whether widevine plugin works, please check at https://bitmovin.com/demos/drm

Note: You do NOT need this package if you have Google Chrome installed.

Latest Comments

1 2 Next › Last »

Musikolo commented on 2020-08-07 00:52

@ioan, please read the pinned comment above to find the answer. If you still have questions, I'll be happy to respond.

Thank you.

ioan commented on 2020-08-06 20:42

why is this conflicting with google chrome?

Musikolo commented on 2020-05-21 03:22

Updated to version 4.10.1679.0.

Enjoy!

Musikolo commented on 2020-05-09 03:13

@TheGoliath, both Chrome 80 and 81 share the same shipped widevine plugin version. There is no reason to update this package until there is a Chrome version released with a newer shipped widevine plugin update.

I hope it makes sense to you.

Thank you.

adabru commented on 2020-02-14 08:22

@Musikolo Thanks, it's working now :)

dito_ch commented on 2020-02-14 08:09

@Musikolo thx for the quick fix! Also thanks for the package btw :)

Musikolo commented on 2020-02-14 04:46

@rnbguy, first of all let me thank your suggestion.

The reason why we are pulling the whole google-chrome-stable binary is because it comes with a newer version of widevine plugin. As you can see at https://dl.google.com/widevine-cdm/versions.txt, the latest version available is 4.10.1582.2, which is behind the version 4.10.1610.0 currently available in the google-chrome-stable binary.

I hope this clarifies your concern.

Thank you!

rnbguy commented on 2020-02-13 13:24

I just looked through update-widevine script from vivaldi package. It seems, instead of downloading the whole google-chrome-stable package, you can just download the minimal component from https://dl.google.com/widevine-cdm/$WIDEVINE_VERSION-linux-$ARCH.zip e.g. https://dl.google.com/widevine-cdm/4.10.1582.2-linux-x64.zip.

The widevine versions are available at https://dl.google.com/widevine-cdm/versions.txt.

Musikolo commented on 2020-02-13 12:49

@dito_ch / @adabru, please try again. I added a checksum for EULA license by mistake.

Please let me know if the issue persists.

Thank you.

adabru commented on 2020-02-13 11:45

Same as dito_ch:

==> Validating source files with sha256sums... chrome-eula_text.html ... FAILED google-chrome-stable_80.0.3987.100-1_amd64.deb ... Passed get_cdm_version.c ... Passed ==> ERROR: One or more files did not pass the validity check!

Thanks for this package by the way :)